let totalValues selector list =
  list
  |> List.filter selector
  |> List.sum
  
let list = [1; 2; 3; 4; 5; 6; 7; 8; 9; 10]

printfn "Total all values %d" (totalValues (fun e -> true) list)

printfn "Total even values %d" (totalValues (fun e -> e % 2 = 0) list)

printfn "Total odd values %d" (totalValues (fun e -> e % 2 <> 0) list)
